/*
 * FechaCampoMayorAOtra.java
 *
 * Created on 22 de marzo de 2007, 10:54 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 *
 * @author Julian
 */
public class FechaCampoMenorAOtraDependiente extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";

    SimpleDateFormat sdf;

       // Create object of SimpleDateFormat and pass the desired date format.
    /**
     * Creates a new instance of CampoVacio
     */
    public FechaCampoMenorAOtraDependiente() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        String fechaOtra = registro[new Integer((String) getParams()[0])
                .intValue()];
        String campoNovedad = registro[new Integer((String) getParams()[1]).intValue()];
        String campoNovedad2 = (String) getParams()[2];
        String campoCausal = registro[new Integer((String) getParams()[3]).intValue()];
        String campoCausal2 = (String) getParams()[4];

        if (campoNovedad.equals(campoNovedad2) && campoCausal.equals(campoCausal2)) {

            if (!ValidarFecha.esFecha(field) || !ValidarFecha.esFecha(fechaOtra)) {
                return false;
            }
            Date dateCampo = null;
            Date dateOtra = null;
            try {
                dateCampo = sdf.parse(field);
                dateOtra = sdf.parse(fechaOtra);
            } catch (Exception e) {
                return false;
            }

            if (dateCampo.before(dateOtra)) {
                return true;
            }

            return false;
        } else {
            return false;
        }
    }
}
